Package org.pushingpixels.flamingo.internal.ui.common.popup

# Class BasicPopupPanelUI.WindowTracker

java.lang.Object
org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI.WindowTracker

All Implemented Interfaces:
  `AWTEventListener`, `ComponentListener`, `WindowListener`, `EventListener`, `PopupPanelManager.PopupListener`

Enclosing class:
  `BasicPopupPanelUI`

protected static class BasicPopupPanelUI.WindowTracker extends Object implements PopupPanelManager.PopupListener, AWTEventListener, ComponentListener, WindowListener
This class is used to dismiss popup panels on the following events:

- Mouse click outside any shown popup panel.
- Closing, iconifying or deactivation of a top-level window.
- Any change in the component hierarchy of a top-level window.

Only one top-level window is tracked at any time. The assumption is that the `PopupPanelManager` only shows popup panels originating from one top-level window.

## Constructor Summary

Constructors
Constructor
Description
`WindowTracker()`
Creates the new window tracker.

## Method Summary

Modifier and Type
Method
Description
`void`
`componentHidden(ComponentEvent e)`
`void`
`componentMoved(ComponentEvent e)`
`void`
`componentResized(ComponentEvent e)`
`void`
`componentShown(ComponentEvent e)`
`void`
`eventDispatched(AWTEvent ev)`
`void`
`popupHidden(PopupPanelManager.PopupEvent event)`
Fired when a popup panel has been hidden.
`void`
`popupShown(PopupPanelManager.PopupEvent event)`
Fired when a popup panel has been shown.
`void`
`windowActivated(WindowEvent e)`
`void`
`windowClosed(WindowEvent e)`
`void`
`windowClosing(WindowEvent e)`
`void`
`windowDeactivated(WindowEvent e)`
`void`
`windowDeiconified(WindowEvent e)`
`void`
`windowIconified(WindowEvent e)`
`void`
`windowOpened(WindowEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WindowTracker

public WindowTracker()
Creates the new window tracker.

## Method Details

### popupShown

public void popupShown(PopupPanelManager.PopupEvent event)
Description copied from interface: `PopupPanelManager.PopupListener`
Fired when a popup panel has been shown.

Specified by:
  `popupShown` in interface `PopupPanelManager.PopupListener`
Parameters:
  `event` - Popup event.

### popupHidden

public void popupHidden(PopupPanelManager.PopupEvent event)
Description copied from interface: `PopupPanelManager.PopupListener`
Fired when a popup panel has been hidden.

Specified by:
  `popupHidden` in interface `PopupPanelManager.PopupListener`
Parameters:
  `event` - Popup event.

### eventDispatched

public void eventDispatched(AWTEvent ev)

Specified by:
  `eventDispatched` in interface `AWTEventListener`

### componentResized

public void componentResized(ComponentEvent e)

Specified by:
  `componentResized` in interface `ComponentListener`

### componentMoved

public void componentMoved(ComponentEvent e)

Specified by:
  `componentMoved` in interface `ComponentListener`

### componentShown

public void componentShown(ComponentEvent e)

Specified by:
  `componentShown` in interface `ComponentListener`

### componentHidden

public void componentHidden(ComponentEvent e)

Specified by:
  `componentHidden` in interface `ComponentListener`

### windowClosing

public void windowClosing(WindowEvent e)

Specified by:
  `windowClosing` in interface `WindowListener`

### windowClosed

public void windowClosed(WindowEvent e)

Specified by:
  `windowClosed` in interface `WindowListener`

### windowIconified

public void windowIconified(WindowEvent e)

Specified by:
  `windowIconified` in interface `WindowListener`

### windowDeactivated

public void windowDeactivated(WindowEvent e)

Specified by:
  `windowDeactivated` in interface `WindowListener`

### windowOpened

public void windowOpened(WindowEvent e)

Specified by:
  `windowOpened` in interface `WindowListener`

### windowDeiconified

public void windowDeiconified(WindowEvent e)

Specified by:
  `windowDeiconified` in interface `WindowListener`

### windowActivated

public void windowActivated(WindowEvent e)

Specified by:
  `windowActivated` in interface `WindowListener`